/**************************************************************************
 *
 *  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
 *  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 *  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
 *  PURPOSE.
 *
 *  Copyright (c) 1993  Microsoft Corporation.  All Rights Reserved.
 * 
 **************************************************************************/
/*
	debug.c
		SetDebugLevel - sets level of info spit out to debug window
		DbgOut -- spits output to debug window.
*/

#include "global.h"
#define MAXLISTLINES    200
#define IDC_LIST        1

HWND hwndDebug;
HWND hwndDebugList;

#ifdef DEBUG

void SetDebugLevel(int i)
{
	__iDebugLevel = i;
}

void __AssertMsg(LPSTR exp, LPSTR file, int line)
{
	char buf[256];
	int i;

	wsprintf(buf,
		"Exp: %s\nFile: %s, Line %d",
		(LPSTR)exp,
		(LPSTR)file,
		line);
	i = MessageBox(GetFocus(),
		buf,
		"Assertion failure",
		MB_OK | MB_ICONEXCLAMATION);
}

void cdecl DbgOut(LPSTR lpFormat, ...)
{
	char buf[256];

	wvsprintf(buf, lpFormat, (LPSTR)(&lpFormat+1));
	OutputDebugString(buf);
	OutputDebugString("\r\n");
}

#endif
